## explain

### Verwendung

Für eine Reihe von DBM-Kommandos können Sie sich mit Hilfe dieses DBM-Kommandos einen Erläuterungstext anzeigen lassen.

Durch die Angabe von Optionen können Sie die Anzeige dieses Erläuterungstexts modifizieren.

Siehe auch:

DBM-Kommandos

### Voraussetzungen

Für die Ausführung dieses DBM-Kommandos ist keine Benutzeranmeldung an den Database Manager erforderlich.

### Syntax

explain <dbm_command> <display_spec>

<display_spec> :: = <command_option> [-nolinewrap | -longinfo]

Optionen

Option | Beschreibung
<dbm_command> | DBM-Kommando
<command_option> | Kommandooption für dieses DBM-Kommando, deren Erläuterungstext angezeigt werden soll
-nolinewrap | Zeilenumbruch im Erläuterungstext unterdrücken
-longinfo | nur relevant für die Programmierung von DBM-Client-Programmen: Anzeige eines Langtextes über die zulässigen Werte

### Antwort

OK

<explain_text>

<explain_text> | Erläuterungstext

### Beispiele

Aufrufen des Database Manager CLI, Anzeigen des vollständigen Erläuterungstexts zum DBM-Kommando auto_extend:

>dbmcli explain auto_extend

OK

With this command, the database instance can be configured to automatically

create new data volumes, when the degree of filling reaches a certain limit.

Size and location of the new data volume are determined as explained in

DBMServer command db_addvolume.

Preconditions:

You have the server authorization ParamFull or AccessUtility.

Syntax:

auto_extend <mode> [<percentage>]

Options:

<mode>

New mode for the database. Possible values are:

ON activate automatic database extension

OFF deactivate automatic database extension

SHOW show current status of automatic database extension

<percentage>

Limit of degree of filling of the database instance, at which a new

data volume should be added. 1 <= <percentage> <= 100 must be true.

Default is 90. Use only with <mode> ON.

Reply:

OK

[ON <percentage>|OFF[, <reason>]|UNKNOWN]

Meaning of the individual fields of the reply:

ON

Automatic database extension is activated (only if <mode> is SHOW).

<percentage> is the actual degree of filling of the database

instance, at which a new data volume is added in the current

configuration.

OFF

Automatic database extension is deactivated (only if <mode> is

SHOW)

UNKNOWN

Status of automatic database extension is unknown (only if <mode>

is SHOW)

Aufrufen des Database Manager CLI, Anzeigen des Erläuterungstexts zur Kommandooption percentage für das DBM-Kommando auto_extend:

>dbmcli explain auto_extend percentage

OK

Limit of degree of filling of the database instance, at which a new data volume should be added. 1 <= <percentage> <= 100 must be true. Default is 90. Use only with <mode> ON.